package devmanuals.com;

import java.util.concurrent.PriorityBlockingQueue;
import java.util.Iterator;

public class PriorityBlockingQueueDemo {
	public static void main(String args[]) {
		PriorityBlockingQueue<Integer> pbq1 = new PriorityBlockingQueue<Integer>();
		PriorityBlockingQueue<Integer> pbq2 = new PriorityBlockingQueue<Integer>();
		pbq1.add(11);
		pbq1.put(14);
		pbq1.offer(13);
		pbq1.offer(12);
		System.out.println("Elements of PBQ1 = " + pbq1);
		int i = pbq1.size();
		System.out.println("Size of PBQ1 = " + i);
		pbq2.offer(1);
		pbq2.put(2);
		pbq2.add(5);
		pbq2.add(3);
		pbq2.add(4);
		pbq2.add(6);
		pbq2.add(7);
		System.out.println("Elements of PBQ2 = " + pbq2);
		int i1 = pbq2.size();
		System.out.println("Size of PBQ2 = " + i1);
		pbq1.drainTo(pbq2);
		System.out.println("pbq1 = " + pbq1);
		System.out.println("pbq2 = " + pbq2);
		Iterator it = pbq2.iterator();
		System.out.println("Elements of PBQ2 using an iterator :");
		while (it.hasNext()) {
			System.out.println(it.next());
		}
	}
}
